This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288687 - WARNING at block/genhd.c:626 add_disk when booting Rawhide live image from USB, boot fails
WARNING at block/genhd.c:626 add_disk when booting Rawhide live image from US...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24AlphaBlocker
  Show dependency treegraph
 
Reported: 2015-12-04 20:42 EST by Adam Williamson
Modified: 2015-12-14 13:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 13:09:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the trace (and errors) (1.08 MB, image/jpeg)
2015-12-04 20:43 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2015-12-04 20:42:56 EST
On three different bare metal systems, trying to boot https://kojipkgs.fedoraproject.org/work/tasks/1413/12051413/Fedora-Live-KDE-x86_64-rawhide-20151204.iso from a USB stick, I hit the same problem. Quite early in boot a WARNING traceback occurs just after some errors about the USB device. Boot then fails: the system sits apparently idle for a while, but in fact it's just dracut timing out, eventually it dumps you at a dracut emergency console with an error that /dev/mapper/live-rw does not exist.
Comment 1 Adam Williamson 2015-12-04 20:43 EST
Created attachment 1102485 [details]
screenshot of the trace (and errors)
Comment 2 Adam Williamson 2015-12-04 20:45:26 EST
Proposing as an Alpha blocker: "Release-blocking live and dedicated installer images must boot when written to optical media of an appropriate size (if applicable) and when written to a USB stick with at least one of the officially supported methods." - https://fedoraproject.org/wiki/Fedora_24_Alpha_Release_Criteria#Release-blocking_images_must_boot (in a footnote). We may need to test on a few more systems and with different writing methods, but this looks a lot like a general failure.
Comment 3 Adam Williamson 2015-12-04 21:56:51 EST
Confirmed that this does not happen when booting from a DVD (same image).
Comment 4 Adam Williamson 2015-12-07 01:25:19 EST
Note: I also see this WARNING when I boot from an optical disc then plug in a USB stick, and the attached USB stick's partitions do not show up under /dev - so I see /dev/sdb, but no /dev/sdb1 etc.
Comment 5 Laura Abbott 2015-12-10 14:13:10 EST
Bisected and asked upstream, https://git.kernel.org/cgit/linux/kernel/git/mkp/scsi.git/commit/?h=4.5/scsi-queue&id=221255aee67ec1c752001080aafec0c4e9390d95 fixed the issue on my local test system. Dropped the patch into rawhide.
Comment 6 Adam Williamson 2015-12-14 01:02:41 EST
Sorry I didn't confirm the fix for this yet, I'll get to it tomorrow. Thanks a lot for the prompt response!
Comment 7 Adam Williamson 2015-12-14 13:09:29 EST
As KDE lives have been broken for a while, I confirmed this bug also existed in the 2015-12-04 Xfce live, and then confirmed that the 2015-12-14 Xfce live works fine. All good, thanks again.

Note You need to log in before you can comment on or make changes to this bug.